at.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/list/adt.hpp>`
`#include <msgpack/preprocessor/list/rest_n.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_LIST_AT(list, index) MSGPACK_PP_LIST_AT_I(list, index)
#define | MSGPACK_PP_LIST_AT_I(list, index) MSGPACK_PP_LIST_FIRST(MSGPACK_PP_LIST_REST_N(index, list))
#define | MSGPACK_PP_LIST_AT_D(d, list, index) MSGPACK_PP_LIST_AT_D_I(d, list, index)
#define | MSGPACK_PP_LIST_AT_D_I(d, list, index) MSGPACK_PP_LIST_FIRST(MSGPACK_PP_LIST_REST_N_D(d, index, list))

## Macro Definition Documentation

## MSGPACK_PP_LIST_AT

#define MSGPACK_PP_LIST_AT | ( |  | list,
|  |  | index
| ) |  | MSGPACK_PP_LIST_AT_I(list, index)

## MSGPACK_PP_LIST_AT_D

#define MSGPACK_PP_LIST_AT_D | ( |  | d,
|  |  | list,
|  |  | index
| ) |  | MSGPACK_PP_LIST_AT_D_I(d, list, index)

## MSGPACK_PP_LIST_AT_D_I

#define MSGPACK_PP_LIST_AT_D_I | ( |  | d,
|  |  | list,
|  |  | index
| ) |  | MSGPACK_PP_LIST_FIRST(MSGPACK_PP_LIST_REST_N_D(d, index, list))

## MSGPACK_PP_LIST_AT_I

#define MSGPACK_PP_LIST_AT_I | ( |  | list,
|  |  | index
| ) |  | MSGPACK_PP_LIST_FIRST(MSGPACK_PP_LIST_REST_N(index, list))